Bug 31355 - Specific item holds table on OPAC only showing 10 items
Summary: Specific item holds table on OPAC only showing 10 items
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 29713
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-12 15:51 UTC by Nick Clemens
Modified: 2022-10-18 22:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.06


Attachments
Bug 31355: Add paging = false to items table on opac-reserve (1.17 KB, patch)
2022-08-12 15:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31355: Add paging = false to items table on opac-reserve (1.23 KB, patch)
2022-08-18 21:27 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 31355: Add paging = false to items table on opac-reserve (1.29 KB, patch)
2022-08-20 09:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-08-12 15:51:08 UTC
Bug 29713 changed the itemstable on holds.pl to a datatable, this defaulted to paging, but didn't add paging controls
Comment 1 Nick Clemens 2022-08-12 15:53:35 UTC
Created attachment 139069 [details] [review]
Bug 31355: Add paging = false to items table on opac-reserve

Moving to an ajax datatable and paging would be a future fix, this restores
lost functionality

To test:
1 - Find or create a title with 20 items
2 - Place a hold in opac
3 - Attempt to select a specific item
4 - Note only 10 show
5 - Apply patch
6 - All items show
Comment 2 ByWater Sandboxes 2022-08-18 21:27:29 UTC
Created attachment 139435 [details] [review]
Bug 31355: Add paging = false to items table on opac-reserve

Moving to an ajax datatable and paging would be a future fix, this restores
lost functionality

To test:
1 - Find or create a title with 20 items
2 - Place a hold in opac
3 - Attempt to select a specific item
4 - Note only 10 show
5 - Apply patch
6 - All items show

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2022-08-20 09:42:32 UTC
Please don't forget to assign the bugs as you work on them!
Comment 4 Katrin Fischer 2022-08-20 09:45:51 UTC
Great catch and would be really good if we could have it in the next stable 22.05.x still!
Comment 5 Katrin Fischer 2022-08-20 09:47:10 UTC
Created attachment 139539 [details] [review]
Bug 31355: Add paging = false to items table on opac-reserve

Moving to an ajax datatable and paging would be a future fix, this restores
lost functionality

To test:
1 - Find or create a title with 20 items
2 - Place a hold in opac
3 - Attempt to select a specific item
4 - Note only 10 show
5 - Apply patch
6 - All items show

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2022-08-22 14:46:30 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-10-14 19:50:59 UTC
Backported to 22.05.x for upcoming 22.05.06 release
Comment 8 Arthur Suzuki 2022-10-18 22:38:53 UTC
depends on bug 29713, won't backport unless asked for